Download it now!
Bug 113916 - Crash: Merge Column on Data Provider window
Summary: Crash: Merge Column on Data Provider window
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All Linux (All)
: high major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Data-Provider
  Show dependency treegraph
 
Reported: 2017-11-18 13:26 UTC by sawakaze
Modified: 2018-12-19 10:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2017-11-18 13:26:32 UTC
Description:
hi
after steps, libreoffice crashed

Steps to Reproduce:
1.Open calc
2.Open Data Provider (Data > Data Providers) 
3.press Merge Columns (Column > Merge Columns)
--> Crash 

Actual Results:  
Crash

Expected Results:
No Crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Crash Report is
http://crashreport.libreoffice.org/stats/crash_details/76d6ca07-8447-46c8-b90d-3d5d67de2bd1

testing env

OS: Ubuntu MATE x64
Lang JP

Testing Version
Version: 6.0.0.0.alpha1+
Build ID: 637d96a25926e299fff5b4cf5a0055b1d171b23b
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-17_23:45:59
Locale: ja-JP (ja_JP.UTF-8); Calc: group



User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 MM 2017-11-18 15:19:23 UTC
Confirmed with Version: 6.0.0.0.alpha1+
Build ID: 637d96a25926e299fff5b4cf5a0055b1d171b23b
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-17_23:45:59
Locale: en-US (en_US.UTF-8); Calc: single

crashreport.libreoffice.org/stats/crash_details/74a1cec6-edc1-464d-bcf6-9249705dabf8
Comment 2 Julien Nabet 2017-11-18 18:39:19 UTC
On pc Debian x86-64 with master sources updated 2 days ago, I could reproduce this.
I noticed this:
warn:vcl.layout:28185:28185:vcl/source/window/builder.cxx:151: Unable to read .ui file: N3com3sun4star3uno9ExceptionE msg: file:///home/julien/lo/libreoffice/instdir/program/../share/config/soffice.cfg/modules/scalc/ui/mergecolumnentry.ui
Comment 3 Julien Nabet 2017-11-18 18:45:35 UTC
I submitted a patch on gerrit:
https://gerrit.libreoffice.org/#/c/44916/
Comment 4 Julien Nabet 2017-11-18 19:08:07 UTC
My patch is wrong, sorry can't help here.
Comment 5 Xisco Faulí 2018-09-30 20:23:35 UTC
Steps to Reproduce:
1. Open calc
2. Open Data > Data Providers
3. Change Data Provider to org.libreoffice.calc.csv
4. Select some cells and go to Column > Merge Columns
5. Start -> Apply
--> Crash 

Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bb1d5780226bb1b9156580972eea9aa849178742

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2018-07-02 02:41:32 +0200
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2018-07-03 08:03:16 +0200
commit	bb1d5780226bb1b9156580972eea9aa849178742 (patch)
tree	c1e62554e0caca5bd6e727bed38adac6b798cea7
parent	5fce97a58b8f764e35bf98128591c9a89537da05 (diff)
store the data provider settings in the document

Bisected with: bibisect-linux64-6.2

Adding Cc: to Markus Mohrhard
Comment 6 Commit Notification 2018-11-18 04:36:15 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/14f83b8a8ec8f2fe1570db285f4527b9fd5d86ea%5E%21

tdf#113916, don't import if no DB range is selected

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-12-19 10:50:18 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 78073ecfdc50e78e3ce094c1259779b7c3b88bc4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Markus Mohrhard, thanks for fixing this!

Closing as VERIFIED FIXED